version: '3'
services:
    db:
        image: postgres
        volumes: 
            - ./data/db:/var/lib/postgresql/data
    es:
        image: elasticsearch:alpine
        volumes:
            - ./data/es:/usr/share/elasticsearch/data
    web:
        build:
            context: ../
            dockerfile: dev/web/Dockerfile
        volumes:
            - ../:/code/platform_web
            - ../../platform/src/ldt:/code/platform
            - ../../hashcut/src:/code/hashcut
            - ../../metadatacomposer/src:/code/metadatacomposer
        ports:
            - "8000:8000"
        depends_on:
            - db
            - es
    